org.firebirdsql.jaybird.xca

## Class FBConnectionRequestInfo

- java.lang.Object
- - org.firebirdsql.jaybird.xca.FBConnectionRequestInfo

All Implemented Interfaces:
  java.io.Serializable

    public final class FBConnectionRequestInfo
    extends java.lang.Object
    implements java.io.Serializable

The class `FBConnectionRequestInfo` holds connection-specific information such as user, password, and other information.

Author:
  David Jencks, Roman Rokytskyy, Mark Rotteveel
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FBConnectionRequestInfo(IConnectionProperties connectionProperties)` Creates a connection request info based on a set of connection properties.

### Method Summary

All Methods Instance Methods Concrete Methods
`IConnectionProperties` `asIConnectionProperties()`
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`void` `setPassword(java.lang.String password)`
`void` `setUserName(java.lang.String userName)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FBConnectionRequestInfo

    public FBConnectionRequestInfo(IConnectionProperties connectionProperties)

Creates a connection request info based on a set of connection properties.

Mutable connection properties are used as is, so the caller is responsible to provide a copy if mutations shouldn't propagate. Immutable properties are automatically copied to a mutable version.

Parameters:
  `connectionProperties` - Connection properties
Since:
  5

### Method Detail

#### setUserName

    public void setUserName(java.lang.String userName)

#### setPassword

    public void setPassword(java.lang.String password)

#### asIConnectionProperties

    public IConnectionProperties asIConnectionProperties()

Returns:
  A mutable view on the connection properties of this connection request
Since:
  5

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`